# ibase_blob_open

(PHP 5, PHP 7)

ibase_blob_open — Open blob for retrieving data parts

### Description

ibase_blob_open ( resource `$link_identifier` , string `$blob_id` ) : resource
ibase_blob_open ( string `$blob_id` ) : resource

Opens an existing BLOB for reading.

### Parameters

`link_identifier`

  An InterBase link identifier. If omitted, the last opened link is assumed.

`blob_id`

  A BLOB id.

### Return Values

Returns a BLOB handle for later use with ibase_blob_get() or `FALSE` on failure.

### See Also

- ibase_blob_close() - Close blob
- ibase_blob_echo() - Output blob contents to browser
- ibase_blob_get() - Get len bytes data from open blob